<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Predictores de saltos, IE-0521: Referencia de la Clase torneo</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Predictores de saltos, IE-0521
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generado por Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Buscar');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Buscar');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Métodos públicos</a> &#124;
<a href="#pub-attribs">Atributos públicos</a> &#124;
<a href="classtorneo-members.html">Lista de todos los miembros</a>  </div>
  <div class="headertitle">
<div class="title">Referencia de la Clase torneo</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="torneo_8hpp_source.html">torneo.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagrama de herencias de torneo</div>
<div class="dyncontent">
<div class="center"><img src="classtorneo__inherit__graph.png" border="0" usemap="#torneo_inherit__map" alt="Inheritance graph"/></div>
<map name="torneo_inherit__map" id="torneo_inherit__map">
<area shape="rect" id="node2" href="classpredictor.html" title="predictor" alt="" coords="5,5,77,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">significado de colores y flechas</a>]</span></center></div>
<div class="dynheader">
Diagrama de colaboración para torneo:</div>
<div class="dyncontent">
<div class="center"><img src="classtorneo__coll__graph.png" border="0" usemap="#torneo_coll__map" alt="Collaboration graph"/></div>
<map name="torneo_coll__map" id="torneo_coll__map">
<area shape="rect" id="node2" href="classpredictor.html" title="predictor" alt="" coords="16,5,88,32"/>
<area shape="rect" id="node3" href="classhglobal.html" title="hglobal" alt="" coords="21,81,84,108"/>
<area shape="rect" id="node4" href="classprivado.html" title="privado" alt="" coords="108,81,172,108"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">significado de colores y flechas</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Métodos públicos</h2></td></tr>
<tr class="memitem:a3bf53fed2d6a18b20d0faddeeee8e673"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtorneo.html#a3bf53fed2d6a18b20d0faddeeee8e673">torneo</a> (int s, int gh, int ph)</td></tr>
<tr class="separator:a3bf53fed2d6a18b20d0faddeeee8e673"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cf94a3178347e90f6c66beb8b6f34ae"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtorneo.html#a7cf94a3178347e90f6c66beb8b6f34ae">prediccion</a> (long progctr, char decision)</td></tr>
<tr class="separator:a7cf94a3178347e90f6c66beb8b6f34ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f662bccf5634f7cde867a3ff882c82f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtorneo.html#a6f662bccf5634f7cde867a3ff882c82f">~torneo</a> ()</td></tr>
<tr class="separator:a6f662bccf5634f7cde867a3ff882c82f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classpredictor"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classpredictor')"><img src="closed.png" alt="-"/>&#160;Métodos públicos heredados desde <a class="el" href="classpredictor.html">predictor</a></td></tr>
<tr class="memitem:a941df172254db3b9e8a2d35e4a96ad29 inherit pub_methods_classpredictor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpredictor.html#a941df172254db3b9e8a2d35e4a96ad29">predictor</a> ()</td></tr>
<tr class="separator:a941df172254db3b9e8a2d35e4a96ad29 inherit pub_methods_classpredictor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77e91f8c0568eef9e714804644bb72ef inherit pub_methods_classpredictor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpredictor.html#a77e91f8c0568eef9e714804644bb72ef">~predictor</a> ()</td></tr>
<tr class="separator:a77e91f8c0568eef9e714804644bb72ef inherit pub_methods_classpredictor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e7c6a5236780206a9c012350cc48933 inherit pub_methods_classpredictor"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpredictor.html#a7e7c6a5236780206a9c012350cc48933">resumen</a> (int s, int tp, int gh, int ph)</td></tr>
<tr class="separator:a7e7c6a5236780206a9c012350cc48933 inherit pub_methods_classpredictor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a693b1b900ef423fe30830ed76973a41c inherit pub_methods_classpredictor"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpredictor.html#a693b1b900ef423fe30830ed76973a41c">salida</a> (long progctr, char result, char pred, string dir)</td></tr>
<tr class="separator:a693b1b900ef423fe30830ed76973a41c inherit pub_methods_classpredictor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Atributos públicos</h2></td></tr>
<tr class="memitem:a9e8826b0cc589b805a7dafb6b31633e7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classhglobal.html">hglobal</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtorneo.html#a9e8826b0cc589b805a7dafb6b31633e7">gshare</a></td></tr>
<tr class="separator:a9e8826b0cc589b805a7dafb6b31633e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45f1f3df72e0df1b2433cf697ea3e1f6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classprivado.html">privado</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtorneo.html#a45f1f3df72e0df1b2433cf697ea3e1f6">pshare</a></td></tr>
<tr class="separator:a45f1f3df72e0df1b2433cf697ea3e1f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classpredictor"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classpredictor')"><img src="closed.png" alt="-"/>&#160;Atributos públicos heredados desde <a class="el" href="classpredictor.html">predictor</a></td></tr>
<tr class="memitem:a8e2d672fbbe6f7e16d12592f8801f39f inherit pub_attribs_classpredictor"><td class="memItemLeft" align="right" valign="top">int *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpredictor.html#a8e2d672fbbe6f7e16d12592f8801f39f">t_predictores</a></td></tr>
<tr class="separator:a8e2d672fbbe6f7e16d12592f8801f39f inherit pub_attribs_classpredictor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c1e9e7e0f463ab18af8229755d52b7e inherit pub_attribs_classpredictor"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpredictor.html#a3c1e9e7e0f463ab18af8229755d52b7e">numbits</a></td></tr>
<tr class="separator:a3c1e9e7e0f463ab18af8229755d52b7e inherit pub_attribs_classpredictor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40ea9fec251f1ff52548581f67f6dc9c inherit pub_attribs_classpredictor"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpredictor.html#a40ea9fec251f1ff52548581f67f6dc9c">t_tamano</a></td></tr>
<tr class="separator:a40ea9fec251f1ff52548581f67f6dc9c inherit pub_attribs_classpredictor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab384ccca87d54dbcf85ddae02fc6267a inherit pub_attribs_classpredictor"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpredictor.html#ab384ccca87d54dbcf85ddae02fc6267a">pc_mask</a></td></tr>
<tr class="separator:ab384ccca87d54dbcf85ddae02fc6267a inherit pub_attribs_classpredictor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08e296402b83daab316fa4f5f02686b2 inherit pub_attribs_classpredictor"><td class="memItemLeft" align="right" valign="top">long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpredictor.html#a08e296402b83daab316fa4f5f02686b2">numbranches</a></td></tr>
<tr class="separator:a08e296402b83daab316fa4f5f02686b2 inherit pub_attribs_classpredictor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc7378342ef4e20ac7881dbc8bff1e72 inherit pub_attribs_classpredictor"><td class="memItemLeft" align="right" valign="top">long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpredictor.html#abc7378342ef4e20ac7881dbc8bff1e72">tt</a></td></tr>
<tr class="separator:abc7378342ef4e20ac7881dbc8bff1e72 inherit pub_attribs_classpredictor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96e452119dc7e1c11e6045d2ec11ce8a inherit pub_attribs_classpredictor"><td class="memItemLeft" align="right" valign="top">long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpredictor.html#a96e452119dc7e1c11e6045d2ec11ce8a">ft</a></td></tr>
<tr class="separator:a96e452119dc7e1c11e6045d2ec11ce8a inherit pub_attribs_classpredictor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cb6a35b879350a019dd2e23260d8983 inherit pub_attribs_classpredictor"><td class="memItemLeft" align="right" valign="top">long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpredictor.html#a6cb6a35b879350a019dd2e23260d8983">tn</a></td></tr>
<tr class="separator:a6cb6a35b879350a019dd2e23260d8983 inherit pub_attribs_classpredictor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65bfa951fc76a4f5de411d82b3a3b73c inherit pub_attribs_classpredictor"><td class="memItemLeft" align="right" valign="top">long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpredictor.html#a65bfa951fc76a4f5de411d82b3a3b73c">fn</a></td></tr>
<tr class="separator:a65bfa951fc76a4f5de411d82b3a3b73c inherit pub_attribs_classpredictor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Descripción detallada</h2>
<div class="textblock"><p>La clase torneo imprementa el predictor por torneo con su método de predicción de saltos particular. </p>
</div><h2 class="groupheader">Documentación del constructor y destructor</h2>
<a id="a3bf53fed2d6a18b20d0faddeeee8e673"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bf53fed2d6a18b20d0faddeeee8e673">&#9670;&nbsp;</a></span>torneo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">torneo::torneo </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>gh</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>ph</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructor del predictor </p><dl class="params"><dt>Parámetros</dt><dd>
  <table class="params">
    <tr><td class="paramname">s</td><td>Parámetro s que indica la cantidad de bits para el tamaño de la tabla 2^s </td></tr>
    <tr><td class="paramname">gh</td><td>Parámetro que indica la cantidad de bits de historia por usar en el predictor con historia global. </td></tr>
    <tr><td class="paramname">ph</td><td>Parámetro que indica la cantidad de bits de historia por usar en el predictor de historia privada. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6f662bccf5634f7cde867a3ff882c82f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f662bccf5634f7cde867a3ff882c82f">&#9670;&nbsp;</a></span>~torneo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">torneo::~torneo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Destructor que elimina los objetos de los predictores de memoria dinámica. </p>

</div>
</div>
<h2 class="groupheader">Documentación de las funciones miembro</h2>
<a id="a7cf94a3178347e90f6c66beb8b6f34ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cf94a3178347e90f6c66beb8b6f34ae">&#9670;&nbsp;</a></span>prediccion()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char torneo::prediccion </td>
          <td>(</td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>progctr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>decision</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Método de predicción bimodal </p><dl class="params"><dt>Parámetros</dt><dd>
  <table class="params">
    <tr><td class="paramname">progctr</td><td>Contador de programa </td></tr>
    <tr><td class="paramname">decision</td><td>Output del salto </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Devuelve</dt><dd>predicción: Variable tipo char que indica la predicción bimodal </dd></dl>

</div>
</div>
<h2 class="groupheader">Documentación de los datos miembro</h2>
<a id="a9e8826b0cc589b805a7dafb6b31633e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e8826b0cc589b805a7dafb6b31633e7">&#9670;&nbsp;</a></span>gshare</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classhglobal.html">hglobal</a>* torneo::gshare</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Puntero al predictor interno gshare </p>

</div>
</div>
<a id="a45f1f3df72e0df1b2433cf697ea3e1f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45f1f3df72e0df1b2433cf697ea3e1f6">&#9670;&nbsp;</a></span>pshare</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classprivado.html">privado</a>* torneo::pshare</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Puntero al predictor interno pshare </p>

</div>
</div>
<hr/>La documentación para esta clase fue generada a partir del siguiente fichero:<ul>
<li>include/<a class="el" href="torneo_8hpp_source.html">torneo.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generado por &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
